namespace ScadaLink.Commons.Entities.InboundApi;

public class ApiKey
{
    public int Id { get; set; }
    public string Name { get; set; }
    public string KeyValue { get; set; }
    public bool IsEnabled { get; set; }

    public ApiKey(string name, string keyValue)
    {
        Name = name ?? throw new ArgumentNullException(nameof(name));
        KeyValue = keyValue ?? throw new ArgumentNullException(nameof(keyValue));
    }
}
